/*
 * libclose.c - loader for library
 *
 * Copyright (C) 2019 Thorsten Otto
 */
#include "slb/freetype.h"
#include <stdio.h>
#include <mint/mintbind.h>
#include <time.h>
#include <freetype/fttypes.h>
#include "libstrct.h"
#include "slbload.h"

static long __CDECL slb_unloaded(SLB_HANDLE slb, long fn, short nwords, ...)
{
	(void)slb;
	(void)fn;
	(void)nwords;
	(void) Cconws(FREETYPE_SHAREDLIB_NAME " was already unloaded\r\n");
	Pterm(1);
	return -32;
}


void slb_freetype_close(void)
{
	SLB *freetype = slb_freetype_get();

	if (!freetype)
		return;
	if (freetype->handle)
	{
		slb_unload(freetype->handle);
		freetype->handle = 0;
	}
	freetype->exec = slb_unloaded;
}
